#!/bin/sh

# This code is duplicated from 10-system.boot. There it misbehaved if /usr
# wasn't yet available.
# Bash seems to be unable to initialize i18n stuff once it has tried and
# failed to do it. Hence the second attempt has to be in a separate script.

. /etc/init.d/common

# set console font
if [ -f /etc/sysconfig/consolefont ]; then
	consolefont="$(</etc/sysconfig/consolefont)"
else
	consolefont=$"consolefont|lat1-16"
	consolefont="${consolefont#consolefont|}"
fi
if [ -f /etc/sysconfig/consolemap ]; then
	consolemap="$(</etc/sysconfig/consolemap)"
else
	consolemap=$"consolemap|8859-1"
	consolemap="${consolemap#consolemap|}"
fi
setfont "$consolefont" -m "$consolemap"

# set keyboard layout
kbd_mode -u
if [ -f /etc/sysconfig/consolelayout ]; then
	consolelayout="$(</etc/sysconfig/consolelayout)"
else
	consolelayout=$"consolelayout|us"
	consolelayout="${consolelayout#consolelayout|}"
fi
loadkeys -q $consolelayout

exit 0
